
sampler2D effectSampler;
sampler2D fogOfWarSampler;

void vs_main(
  float3 inObjectPosition : POSITION,
  float3 inNormal : NORMAL,
  float2 inTexCoord : TEXCOORD0,
  out float4 outPosition : POSITION,
  out float2 outTexCoord : TEXCOORD0,
  out float2 outFogOfWarTexCoord : TEXCOORD1,
  uniform float4x4 matWorld,
  uniform float4x4 matViewProjection,
  uniform float2 mapSize
)
{
  float4 worldPosition = mul(matWorld, float4(inObjectPosition, 1));
  outPosition = mul(matViewProjection, worldPosition);
  outTexCoord = inTexCoord;
  outFogOfWarTexCoord = float2(worldPosition.x / mapSize.x, -worldPosition.z / mapSize.y);
}

void ps_main(
  float2 inTexCoord : TEXCOORD0,
  float2 inFogOfWarTexCoord : TEXCOORD1,
  out float4 outColor : COLOR,
  uniform float4 vertexColor
)
{
  float4 c0 = tex2D(effectSampler, inTexCoord);
  outColor = c0 * vertexColor;

  float4 fogOfWar = tex2D(fogOfWarSampler, inFogOfWarTexCoord);
  outColor *= fogOfWar;
}
