void vs_main(
  float3 inPosition : POSITION,
  float4 inColor : COLOR0,
  out float4 outPosition : POSITION,
  out float4 outColor : COLOR0,
  out float outPointSize : PSIZE,
  uniform float4x4 matWorld,
  uniform float4x4 matView,
  uniform float4x4 matProjection
)
{
  outPosition = mul(matWorld, float4(inPosition, 1));
  outPosition = mul(matView, outPosition);
  outPosition = mul(matProjection, outPosition);
  outColor = inColor;
  outPointSize = 3.0f;
}

void ps_main(
  float4 inColor : COLOR0,
  out float4 outColor : COLOR
)
{
  outColor = inColor;
}
