sampler texSampler;

void vs_main(
  float4 inPosition : POSITION,
  float2 inTexCoord : TEXCOORD0,
  out float4 outPosition : POSITION,
  out float2 outTexCoord : TEXCOORD0,
  uniform float4x4 orthogonalProjection
)
{
  float2 viewport = float2(800, 600);

  //outPosition = mul(orthogonalProjection, inPosition);
  outPosition.x = (inPosition.x / (viewport.x/2.0)) - 1 - 1.0f/viewport.x;
  outPosition.y = -(inPosition.y / (viewport.y/2.0)) + 1 + 1.0f/viewport.y;
  outPosition.z = 0.5f;
  outPosition.w = 1.0f;
  outTexCoord = inTexCoord;
}

void ps_main(
  float2 inTexCoord : TEXCOORD0,
  out float4 outColor : COLOR,
  uniform float4 modulationColor : float4
)
{
  outColor =
    tex2D(texSampler, inTexCoord) *
    modulationColor
  ;
}
