<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<xsl:apply-templates select="/build"/>
	</xsl:template>
	
	<xsl:template match="build">
		<html>
			<body>
				<div>
					<h2>Build Settings</h2>
				</div>
				<div>
					<table cellpadding="1" cellspacing="0" border="0" frame="box">
						<xsl:apply-templates select="*"/>
					</table>
				</div>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="mode">
		<tr>
			<td><b>Build Mode:</b></td>
			<td width="10px"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td>
				<xsl:choose>
					<xsl:when test=". = 'debug'">Debug Mode</xsl:when>
					<xsl:when test=". = 'release'">Release Mode</xsl:when>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>	

	<xsl:template match="log_level">
		<tr>
			<td><b>Log Level:</b></td>
			<td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td>
				<xsl:choose>
					<xsl:when test=". = '0'">Logging disabled</xsl:when>
					<xsl:when test=". = '1'">Basic Release Logging</xsl:when>
					<xsl:when test=". = '2'">Comprehensive Debug Logging</xsl:when>
					<xsl:when test=". = '3'">All output, very extensive Logging</xsl:when>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>	

	<xsl:template match="use_asserts">
		<tr>
			<td><b>Uses Asserts:</b></td>
			<td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td>
				<xsl:choose>
					<xsl:when test=". = 'true'">Yes</xsl:when>
					<xsl:otherwise>No</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>	

	<xsl:template match="autodetect_compiler">
		<tr>
			<td><b>Autodetect Compiler:</b></td>
			<td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td>
				<xsl:choose>
					<xsl:when test=". = 'true'">Yes</xsl:when>
					<xsl:otherwise>No</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>	

	<xsl:template match="compiler">
		<tr>
			<td><b>Compiler:</b></td>
			<td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td><xsl:value-of select="."/></td>
		</tr>
	</xsl:template>	
	
	<xsl:template match="autodetect_platform">
		<tr>
			<td><b>Autodetect Platform:</b></td>
			<td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td>
				<xsl:choose>
					<xsl:when test=". = 'true'">Yes</xsl:when>
					<xsl:otherwise>No</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>	

	<xsl:template match="platform">
		<tr>
			<td><b>Platform:</b></td>
			<td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td><xsl:value-of select="."/></td>
		</tr>
	</xsl:template>	

	<xsl:template match="sse_optimization">
		<tr>
			<td><b>SSE Optimizations:</b></td>
			<td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td>
				<xsl:choose>
					<xsl:when test=". = 'no'">Disabled</xsl:when>
					<xsl:when test=". = 'sse'">SSE Optimizations</xsl:when>
					<xsl:when test=". = 'sse2'">SSE2 Optimizations</xsl:when>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>	

	<xsl:template match="charset">
		<tr>
			<td><b>Character Set:</b></td>
			<td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td>
				<xsl:choose>
					<xsl:when test=". = 'ascii'">ASCII</xsl:when>
					<xsl:when test=". = 'unicode'">UNICODE</xsl:when>
					<xsl:when test=". = 'mbcs'">MBCS</xsl:when>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>	

	<xsl:template match="memory_manager">
		<tr>
			<td><b>Memory Manager Type:</b></td>
			<td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
			<td>
				<xsl:choose>
					<xsl:when test=". = 'debug'">Debug Memory Manager</xsl:when>
					<xsl:when test=". = 'normal'">Normal Memory Manager</xsl:when>
					<xsl:when test=". = 'release'">Release Memory Manager</xsl:when>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>	
</xsl:stylesheet>
